% Function for Finding the Rates xdot for Navion lat-dir sim
function [xdot]=rateslatdir(x,u,t)

% states are x1=lat vel, x2=phi, x3=P, x4=R, x5=psi
V=x(1);phi=x(2);P=x(3);R=x(4);psi=x(5);

% u(1) = delA, u(2)=delR

rho=0.002378;U0=176;W0=0;CD=0.05; % sea level density, trim velocity and CD
CSbeta=-.564;CSp=0;CSr=0;CSdelA=0;CSdelR=.157;
CLbeta=-.074;CLp=-.0389;CLr=.0102;CLdelA=.1342;CLdelR=.0118;
CNbeta=.0701;CNp=-.0055;CNr=-.0119;CNdelA=-.00346;CNdelR=-.0717;
b=33.4;Sw=184;m=2750/32.2;Ixx=1048;Izz=3530;Ixz=0;
Imat=[Izz Ixz;Ixz Ixx];det=1/(Ixx*Izz-Ixz^2);Imat=det*Imat;

Vv=sqrt(U0^2+x(1)^2);
beta=atan(x(1)/U0);
q=0.5*rho*Vv*Vv;

CS=CSbeta*beta+CSp*P+CSr*R+CSdelA*u(1)+CSdelR*u(2);
CLroll=CLbeta*beta+CLp*P+CLr*R+CLdelA*u(1)+CLdelR*u(2);
CN=CNbeta*beta+CNp*P+CNr*R+CNdelA*u(1)+CNdelR*u(2);
S=CS*q*Sw;D=CD*q*Sw;Lroll=CLroll*q*Sw*b;N=CN*q*Sw*b;
Fay=-D*sin(beta)+S*cos(beta);
moments=[Lroll;N];moments=Imat*moments;

xdot(1)=-R*U0+P*W0+32.2*sin(phi)+Fay/m;
xdot(2)=P;
xdot(3)=moments(1);
xdot(4)=moments(2);
xdot(5)=R*cos(phi); 
